Contents

# Declare Statement

Declares and defines a subroutine in a DLL file that you want to execute from LibreOffice Basic.

See also: FreeLibrary

## Syntax:

    Declare {Sub | Function} Name Lib "Libname" [Alias "Aliasname"] [Parameter] [As Type]

## Parameters:

Name: A different name than defined in the DLL, to call the subroutine from LibreOffice Basic.

Aliasname: Name of the subroutine as defined in the DLL.

Libname: File or system name of the DLL. This library is automatically loaded the first time the function is used.

Argumentlist: List of parameters representing arguments that are passed to the procedure when it is called. The type and number of parameters is dependent on the executed procedure.

Type: Defines the data type of the value that is returned by a function procedure. You can exclude this parameter if a type-declaration character is entered after the name.

To pass a parameter to a subroutine as a value instead of as a reference, the parameter must be indicated by the keyword ByVal.

## Example:

    Declare Sub MyMessageBeep Lib "user32.dll" Alias "MessageBeep" ( Long )
    Sub ExampleDeclare
    Dim lValue As Long
        lValue = 5000
        MyMessageBeep( lValue )
        FreeLibrary("user32.dll" )
    End Sub

Please support us!